
Figure - Bug #118414
【IOVDEV-31956】【内部】【VC1】【0100】【台架】【EE环境】【副屏】早上过来monkey自动命令停止，
副屏正常显示屏保界面，正常进入主界面
2023-06-01 10:46 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-01

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: ��【中控版本号】：03.02.0086.c102����【副屏版本号】：01.00.0100.c103

Resolution: DUPLICATE Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 与 #118052 是同件问题

Description

【环境信息】EE环境

【问题出现时间】：20230601 08：50

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.副屏昨晚正常跑monkey命令

【实际结果】

1.早上过来monkey命令异常停止

【期望结果】

1.monkey命令正常运行

【备注】：

第197次开机

开机时长：14：03：53

日志、视频地址：https://ofs.human-horizons.com/#/download/index/8WcIWea39ns%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0086.c102

【副屏版本号】：01.00.0100.c103

Related issues:

Related to Figure - Bug # 118052: 【IOVDEV-28498】【IOVDEV-3... CLOSED 2023-05-26 2023-06-05

History

#1 - 2023-06-01 10:48 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118414

#2 - 2023-06-01 11:45 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨
https://ofs.human-horizons.com/#/download/index/8WcIWea39ns%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118414


- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118052 是同件问题

Hi 诗雨

此问题与 #118052 是同件问题，我们将在 #118052 中跟踪处理

surfaceflinger报空指针了，导致系统进程挂了

--------------

06-01 08:33:49.941 21451 21451 F DEBUG   : * 

06-01 08:33:49.941 21451 21451 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys'

06-01 08:33:49.941 21451 21451 F DEBUG   : Revision: '0'

06-01 08:33:49.941 21451 21451 F DEBUG   : ABI: 'arm64'

06-01 08:33:49.941 21451 21451 F DEBUG   : Timestamp: 2023-06-01 08:33:49.721685702+0800

06-01 08:33:49.941 21451 21451 F DEBUG   : Process uptime: 0s

06-01 08:33:49.941 21451 21451 F DEBUG   : Cmdline: /system/bin/surfaceflinger

06-01 08:33:49.941 21451 21451 F DEBUG   : pid: 919, tid: 919, name: surfaceflinger  >>> /system/bin/surfaceflinger <<<

06-01 08:33:49.941 21451 21451 F DEBUG   : uid: 1000

06-01 08:33:49.941 21451 21451 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x0

06-01 08:33:49.941 21451 21451 F DEBUG   : Cause: null pointer dereference

06-01 08:33:49.941 21451 21451 F DEBUG   :     x0  b400007120a78730  x1  b40000705092cad0  x2  000000000000001a  x3  0000007fe2a63b68

06-01 08:33:49.941 21451 21451 F DEBUG   :     x4  0000000000000038  x5  0000006f908a9d40  x6  0001b20b0001c453  x7  0001c1330001c525

06-01 08:33:49.941 21451 21451 F DEBUG   :     x8  b400007120a76050  x9  00000000000026e0  x10 0000000000000004  x11 0000000000000000

06-01 08:33:49.941 21451 21451 F DEBUG   :     x12 0000000000000016  x13 0001c4ee00018272  x14 b4000071308b52b8  x15 000000000000001b

06-01 08:33:49.941 21451 21451 F DEBUG   :     x16 00000062bbe62c10  x17 00000072a19e8ec0  x18 00000072a8162000  x19 0000000000000000

06-01 08:33:49.941 21451 21451 F DEBUG   :     x20 b40000705092cad0  x21 b400007120a78730  x22 b400007120933c08  x23 00000072a721e000

06-01 08:33:49.941 21451 21451 F DEBUG   :     x24 0000000000000000  x25 b400006fd0a6eb08  x26 0000000000000001  x27 0000000000002559

06-01 08:33:49.941 21451 21451 F DEBUG   :     x28 00000000000026bd  x29 0000007fe2a63b80

06-01 08:33:49.941 21451 21451 F DEBUG   :     lr  00000062bb9d27a0  sp  0000007fe2a63b80  pc  00000072a19e8ee0  pst 0000000020001000

06-01 08:33:49.941 21451 21451 F DEBUG   : backtrace:

06-01 08:33:49.941 21451 21451 F DEBUG   :       #00 pc 000000000000eee0  /system/lib64/libutils.so (android::RefBase::decStrong(void const) const+32) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-01 08:33:49.941 21451 21451 F DEBUG   :       #01 pc 000000000015b79c  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_destroy(void*, unsigned long) const+68) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

06-01 08:33:49.941 21451 21451 F DEBUG   :       #02 pc 0000000000014be4  /system/lib64/libutils.so (android::VectorImpl::operator=(android::VectorImpl const&)+112)

(BuildId: b940f836006eead456c936e97e64d2d4)

06-01 08:33:49.941 21451 21451 F DEBUG   :       #03 pc 00000000001584c8  /system/bin/surfaceflinger (android::Layer::commitChildList()+80) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

06-01 08:33:49.941 21451 21451 F DEBUG   :       #04 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

06-01 08:33:49.941 21451 21451 F DEBUG   :       #05 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

06-01 08:33:49.941 21451 21451 F DEBUG   :       #06 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

06-01 08:33:49.941 21451 21451 F DEBUG   :       #07 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

06-01 08:33:49.941 21451 21451 F DEBUG   :       #08 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

06-01 08:33:49.941 21451 21451 F DEBUG   :       #09 pc 000000000019ecc8  /system/bin/surfaceflinger (android::SurfaceFlinger::commitTransactionLocked()+500)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

06-01 08:33:49.941 21451 21451 F DEBUG   :       #10 pc 0000000000195ecc  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageInvalidate(long, long)+7872)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)
06-01 08:33:49.941 21451 21451 F DEBUG   :       #11 pc 0000000000193f84  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageReceived(int, long, long)+56)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

06-01 08:33:49.941 21451 21451 F DEBUG   :       #12 pc 0000000000017f64  /system/lib64/libutils.so (android::Looper::pollInner(int)+372) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-01 08:33:49.941 21451 21451 F DEBUG   :       #13 pc 0000000000017d84  /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-01 08:33:49.941 21451 21451 F DEBUG   :       #14 pc 000000000016f71c  /system/bin/surfaceflinger (android::impl::MessageQueue::waitMessage()+88) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

06-01 08:33:49.941 21451 21451 F DEBUG   :       #15 pc 0000000000189080  /system/bin/surfaceflinger (android::SurfaceFlinger::run()+16) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

06-01 08:33:49.941 21451 21451 F DEBUG   :       #16 pc 00000000001d6c40  /system/bin/surfaceflinger (main+1640) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

06-01 08:33:49.941 21451 21451 F DEBUG   :       #17 pc 000000000004a084  /apex/com.android.runtime/lib64/bionic/libc.so (__libc_init+100) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

--------------

#3 - 2023-06-02 16:43 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#4 - 2023-06-02 16:43 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
